Skip to main content
Limited Release
Billing entity management helps you update existing billing entities when your business requirements change. You can retrieve current billing entities and modify entity configurations, including assigning tax codes. This ensures proper billing context for different business divisions and jurisdictions.

List billing entities

Use a valid access token and make a GET call to the /v1/commerce/billing/billing-entities endpoint.
curl -X GET 'https://api-m.sandbox.paypal.com/v1/commerce/billing/billing-entities' \
-H 'Authorization: Bearer <ACCESS-TOKEN>'
A successful call returns a 200 OK response with an array of billing entities.

Update billing entity details

Use a valid access token and make a PUT call to the /v1/commerce/billing/billing-entities/{billing_entity_code} endpoint with the modified request parameters such as name, currency, address, legal information, contact details, and tax codes. Path parameter: billing_entity_code is the code you provided when you created the billing entity.
You can also assign existing tax codes to billing entities. Include the tax_codes parameter that reference the created taxes.
For information on all parameters, see API reference.
curl -X PUT 'https://api-m.sandbox.paypal.com/v1/commerce/billing/billing-entities/acme_inc' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <ACCESS-TOKEN>' \
-d '{
    "name": "Acme Inc (Updated)",
    "default_currency": "USD",
    "finalize_zero_amount_invoice": true,
    "address": {
        "line1": "123 Business Ave, Suite 500",
        "line2": "Floor 5",
        "city": "San Francisco",
        "state": "CA",
        "country": "US",
        "postal_code": "94107"
    },
    "legal_name": "Acme Corporation Inc. LLC",
    "legal_number": "US987654321",
    "tax_identification_number": "987-65-4321",
    "email": "billing-updated@acmeinc.com",
    "timezone": "America/Los_Angeles",
    "tax_codes": [
        "us_ca_sales_tax_8_25",
        "us_sf_city_tax_1_25"
    ]
}'
A successful call returns a 200 OK response with the updated billing entity information.